<?php 
namespace MisProductos; 
class ProductoPorLotes extends Producto 
{ 
 
    private $numeroArticuloPorLote; 
 
    function __construct(string $nombre, int $cantidad, int $numeroArticuloPorLote, 
                         float $precio,bool $agotado=false) 
    { 
 
        $this->numeroArticuloPorLote=$numeroArticuloPorLote; 
        parent::__construct($nombre,$cantidad,$precio,$agotado); 
 
    } 
 
    function addProducto() 
    { 
 
        $this->cantidad+=$this->numeroArticuloPorLote; 
 
        if($this->cantidad>0) $this->agotado=false; 
    } 
 
    function suprimirProducto() 
    { 
        $this->cantidad-=$this->numeroArticuloPorLote; 
        if($this->cantidad<=0){ 
            $this->cantidad=0; 
            $this->agotado=true; 
        } 
    } 
 
    function getNumeroArticulosPorLotes() 
    { 
        return $this->numeroArticuloPorLote; 
 
    } 
 
    function setNumeroArticulosPorLotes($valor) 
    { 
        if (!is_integer($valor)){ 
            echo "la propiedad debe ser un entero"; 
        } 
         else { 
            $this->numeroArticuloPorLote=$valor; 
        } 
    } 
 
}
